<?php
/**
 * CSAR Installation
 *
 * @package     CSAR
 * @author      Frank Riegel <office@isonetwork.net.au> aka frank18
 * @copyright   Copyright 2013-2016 iSO Network [www.isonetwork.net.au]
 * @copyright   Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright   Portions Copyright 2003 osCommerce
 * @license     http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version     $Id: 2_2_0.php 169 2016-07-22 02:28:08Z frank18 $
 */

// use $configuration_group_id where needed
$zc150 = (PROJECT_VERSION_MAJOR > 1 || (PROJECT_VERSION_MAJOR == 1 && substr(PROJECT_VERSION_MINOR, 0, 3) >= 5));
if ($zc150) { // continue Zen Cart 1.5.0
    $admin_page = 'config_csar';
  // delete configuration menu
  $db->Execute("DELETE FROM " . TABLE_ADMIN_PAGES . " WHERE page_key = '".$admin_page."' LIMIT 1;");
    
  }


  // add configuration menu
  $admin_page = 'config_csar';
  if (!zen_page_key_exists($admin_page)) {
    if ((int)$configuration_group_id > 0) {
      zen_register_admin_page($admin_page,
                              'BOX_CONFIGURATION_CSAR', 
                              'FILENAME_CONFIGURATION',
                              'gID=' . $configuration_group_id, 
                              'catalog', 
                              'Y',
                              $configuration_group_id);
        
      $messageStack->add('Successfully enabled Category Restriction (CSAR) Configuration Menu.', 'success');
    }
  }


 // Install CSAR version 2.2.0

 $db->Execute("INSERT IGNORE INTO " . TABLE_CONFIGURATION_GROUP . " VALUES ('', 'Category Restriction', 'Configure Category Restriction Settings',".$configuration_group_id.", '1');");
 
 $db->Execute("INSERT IGNORE INTO " . TABLE_CONFIGURATION . "  VALUES 
 ('', 'Hide Prices for Specific Categories', 'CATEGORY_RESTRICTION_HIDEPRICE_CATEGORY', '1000', 'Restrict product price display for specific categories if the customer is not logged in.<br /><br />Enter the categories ID as a comma delimited list - do not use spaces (eg 12,19,45). Default value is <strong>1000</strong>.<br /><br />In this example categories 12, 19 and 45 can be restricted (Although category 45 is a subcategory of category 7 in this example, you <b>ONLY</b> need to enter category ID 45 and <b>NOT</b> 7_45).<br />',".$configuration_group_id.", 1, '0001-01-01 00:00:00', now(), NULL, NULL),
 ('', 'Set Categories Requiring Customer To Login', 'CATEGORY_RESTRICTION_LOGIN_CATEGORY', '1000', 'Specify products of certain categories which can only be accessed by logged in customers.<br /><br />Enter the categories ID as a comma delimited list - do not use spaces (eg 12,19,28). Default value is <strong>1000</strong>.<br /><br />In this example categories 12, 19 and 28 can be restricted.<br />',".$configuration_group_id.", 2, '0001-01-01 00:00:00', now(), NULL, NULL),
 ('', 'Set Manufacturers Requiring Customer To Login', 'CATEGORY_RESTRICTION_LOGIN_MANUFACTURER', '1000', 'Specify manufacturers to be accessed by logged in customers only.<br /><br />Enter the manufacturers ID as a comma delimited list - do not use spaces (eg 1, 5, 6). Default value is <strong>1000</strong>.<br /><br />In this example products of manufacturers IDs 1, 5, 6 can be restricted.<br /><br />The restriction could be to hide prices of certain manufacturers products or it could be used to assign privileged access to manufacturers products.<br />',".$configuration_group_id.", 3, '0001-01-01 00:00:00', now(), NULL, NULL);");
 
 // Check if customers privileges are already assigned, if not then create column in TABLE_CUSTOMERS
 global $sniffer;
 if (!$sniffer->field_exists(TABLE_CUSTOMERS, 'customers_privileges'))  $db->Execute("ALTER TABLE " . TABLE_CUSTOMERS  . " ADD customers_privileges` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER customers_authorization;");
 
 $messageStack->add('Successfully installed Category Restriction (CSAR) version 2.2.0.', 'success');
